#!MC 1410
#       INSTRUCTIONS:
#                  1.   Load Surface Zones from CFD solution into Tecplot360 EX (the surface info should include CP and
#                       any other surface information desired)
#                  2.   Assign LABEL variable in this file as the "XXX" identifier of the dataset
#                  3.   Assign INFO variable with appropriate information for the particular case
#                  4.   Run macro.  It should create/extract 1 zone for each row of the deployed slat
#                  5.   You can write out these zones to data files as appropriate, including any data desired
#
#                XXX:   Participant ID (To be assigned by HiLiftPW workshop committee)
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$!VARSET |LABEL| = "R-018"
$!VARSET |INFO|  = "|PREFIX|"
$!VARSET |ZONE| = |NUMZONES|
# --- Row A ---
$!SliceAttributes 1  EdgeLayer{Show = Yes}
$!SliceAttributes 1  SliceSource = SurfaceZones
$!SliceLayers Show = Yes
$!SliceAttributes 1  SliceSurface = Arbitrary
$!SetArbitrarySliceUsingThreePoints 
  Group = 1
  X1 = 0
  Y1 = 1065.99119
  Z1 = 0
  X2 = 500
  Y2 = 683.45446
  Z2 = 0
  X3 = 1000
  Y3 = 245.81480
  Z3 = 500
$!ExtractSlices 
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row A slat |INFO|'
# --- Row B ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1227.67457
  Z1 = 0
  X2 = 500
  Y2 = 845.13784
  Z2 = 0
  X3 = 1000
  Y3 = 407.49818
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row B slat |INFO|'
# --- Row C ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1363.53760
  Z1 = 0
  X2 = 500
  Y2 = 983.82421
  Z2 = 0
  X3 = 1000
  Y3 = 557.52991
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| NOT USED! Row C slat |INFO|'
# --- Row D ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1509.26858
  Z1 = 0
  X2 = 500
  Y2 = 1129.55519
  Z2 = 0
  X3 = 1000
  Y3 = 703.26090
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row D slat |INFO|'
# --- Row E ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1662.66968
  Z1 = 0
  X2 = 500
  Y2 = 1282.95629
  Z2 = 0
  X3 = 1000
  Y3 = 856.66200
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row E slat |INFO|'
# --- Row F ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1831.41102
  Z1 = 0
  X2 = 500
  Y2 = 1451.69762
  Z2 = 0
  X3 = 1000
  Y3 = 1025.40333
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row F slat |INFO|'
# --- Row G ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 2000.15223
  Z1 = 0
  X2 = 500
  Y2 = 1620.43883
  Z2 = 0
  X3 = 1000
  Y3 = 1194.14454
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row G slat |INFO|'
# --- Row H ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 2145.88321
  Z1 = 0
  X2 = 500
  Y2 = 1766.16981
  Z2 = 0
  X3 = 1000
  Y3 = 1339.87552
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row H slat |INFO|'
# --- Row I ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 2337.63465
  Z1 = 0
  X2 = 500
  Y2 = 1957.92125
  Z2 = 0
  X3 = 1000
  Y3 = 1531.62696
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row I slat |INFO|'
# --- Row J ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 2491.03575
  Z1 = 0
  X2 = 500
  Y2 = 2111.32235
  Z2 = 0
  X3 = 1000
  Y3 = 1685.02806
  Z3 = 500
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row J slat |INFO|'
