#!MC 1410
#       INSTRUCTIONS:
#                  1.   Load Surface Zones from CFD solution into Tecplot360 EX (the surface info should include CP and
#                       any other surface information desired)
#                  2.   Assign LABEL variable in this file as the "XXX" identifier of the dataset
#                  3.   Assign INFO variable with appropriate information for the particular case
#                  4.   Run macro.  It should create/extract 2 zones for each row of the main wing (one near the
#                       leading edge and one running behind that)
#                  5.   You can write out these zones to data files as appropriate, including any data desired
#
#                XXX:   Participant ID (To be assigned by HiLiftPW workshop committee)
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$!VARSET |LABEL| = "R-018"
$!VARSET |INFO|  = "|PREFIX|"
$!VARSET |ZONE| = |NUMZONES|
# --- Row A ---
$!SliceAttributes 1  EdgeLayer{Show = Yes}
$!SliceAttributes 1  SliceSource = SurfaceZones
$!SliceLayers Show = Yes
$!SliceAttributes 1  SliceSurface = Arbitrary
$!SetArbitrarySliceUsingThreePoints 
  Group = 1
  X1 = 0
  Y1 = 1057.8825
  Z1 = 0
  X2 = 500
  Y2 = 677.15319
  Z2 = 0
  X3 = 1000
  Y3 = 252.67966
  Z3 = 500
$!SliceAttributes 2  ShowGroup = Yes
$!SliceAttributes 2  EdgeLayer{Show = Yes}
$!SliceAttributes 2  SliceSource = SurfaceZones
$!SliceAttributes 2  SliceSurface = Arbitrary
$!SetArbitrarySliceUsingThreePoints 
  Group = 2
  X1 = 0
  Y1 = 200.01104
  Z1 = 0
  X2 = 500
  Y2 = 200.01104
  Z2 = 0
  X3 = 1000
  Y3 = 156.26659
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {Include = Yes}}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1126.61}}
$!ExtractSlices 
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row A wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices 
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row A wing |INFO|'
$!Blanking Value{Include = No}
# --- Row B ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1219.05851
  Z1 = 0
  X2 = 500
  Y2 = 838.3292
  Z2 = 0
  X3 = 1000
  Y3 = 413.85568
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 305.41209
  Z1 = 0
  X2 = 500
  Y2 = 305.41209
  Z2 = 0
  X3 = 1000
  Y3 = 261.66765
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1199.86}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row B wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row B wing |INFO|'
$!Blanking Value{Include = No}
# --- Row C ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1364.88455
  Z1 = 0
  X2 = 500
  Y2 = 984.15524
  Z2 = 0
  X3 = 1000
  Y3 = 559.68171
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 400.77495
  Z1 = 0
  X2 = 500
  Y2 = 400.77495
  Z2 = 0
  X3 = 1000
  Y3 = 357.03050
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1266.16}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row C wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row C wing |INFO|'
$!Blanking Value{Include = No}
# --- Row D ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1510.71059
  Z1 = 0
  X2 = 500
  Y2 = 1129.98128
  Z2 = 0
  X3 = 1000
  Y3 = 705.50775
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 496.13780
  Z1 = 0
  X2 = 500
  Y2 = 496.13780
  Z2 = 0
  X3 = 1000
  Y3 = 452.39336
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1332.41}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row D wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row D wing |INFO|'
$!Blanking Value{Include = No}
# --- Row E ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1664.21161
  Z1 = 0
  X2 = 500
  Y2 = 1283.48230
  Z2 = 0
  X3 = 1000
  Y3 = 859.00877
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 596.51976
  Z1 = 0
  X2 = 500
  Y2 = 596.51976
  Z2 = 0
  X3 = 1000
  Y3 = 552.77531
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1402.17}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row E wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row E wing |INFO|'
$!Blanking Value{Include = No}
# --- Row F ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 1833.06274
  Z1 = 0
  X2 = 500
  Y2 = 1452.33343
  Z2 = 0
  X3 = 1000
  Y3 = 1027.85990
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 706.93991
  Z1 = 0
  X2 = 500
  Y2 = 706.93991
  Z2 = 0
  X3 = 1000
  Y3 = 663.19546
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1478.90}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row F wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row F wing |INFO|'
$!Blanking Value{Include = No}
# --- Row G ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 2001.91386
  Z1 = 0
  X2 = 500
  Y2 = 1621.18456
  Z2 = 0
  X3 = 1000
  Y3 = 1196.71103
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 817.36006
  Z1 = 0
  X2 = 500
  Y2 = 817.36006
  Z2 = 0
  X3 = 1000
  Y3 = 773.61561
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1555.64}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row G wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row G wing |INFO|'
$!Blanking Value{Include = No}
# --- Row H ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 2147.73990
  Z1 = 0
  X2 = 500
  Y2 = 1767.01059
  Z2 = 0
  X3 = 1000
  Y3 = 1342.53706
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 912.72291
  Z1 = 0
  X2 = 500
  Y2 = 912.72291
  Z2 = 0
  X3 = 1000
  Y3 = 868.97846
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1621.91}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row H wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row H wing |INFO|'
$!Blanking Value{Include = No}
# --- Row I ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 2339.61612
  Z1 = 0
  X2 = 500
  Y2 = 1958.88681
  Z2 = 0
  X3 = 1000
  Y3 = 1534.41328
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 1038.20035
  Z1 = 0
  X2 = 500
  Y2 = 1038.20035
  Z2 = 0
  X3 = 1000
  Y3 = 994.45590
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1709.11}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row I wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row I wing |INFO|'
$!Blanking Value{Include = No}
# --- Row J ---
$!SetArbitrarySliceUsingThreePoints
  Group = 1
  X1 = 0
  Y1 = 2493.11727
  Z1 = 0
  X2 = 500
  Y2 = 2112.38796
  Z2 = 0
  X3 = 1000
  Y3 = 1687.91443
  Z3 = 500
$!SetArbitrarySliceUsingThreePoints
  Group = 2
  X1 = 0
  Y1 = 1138.58231
  Z1 = 0
  X2 = 500
  Y2 = 1138.58231
  Z2 = 0
  X3 = 1000
  Y3 = 1094.83786
  Z3 = 500
$!Blanking Value{Include = Yes}
$!Blanking Value{Constraint 1 {RelOp = GreaterThan}}
$!Blanking Value{Constraint 1 {ValueCutoff = 1778.87}}
$!ExtractSlices
  Group = 1
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row J wingLE |INFO|'
$!Blanking Value{Constraint 1 {RelOp = LessThanOrEqual}}
$!ExtractSlices
  Group = 2
$!VARSET |ZONE| += 1
$!RenameDataSetZone
  Zone = |ZONE|
  Name = '|LABEL| Row J wing |INFO|'
$!Blanking Value{Include = No}
